Scale in a Besu Instance
post
/api/v1/besu/instance/{id}/scalein
Scale in a Besu component. Replicas must be less than the current count. A 409 is returned when the current instance state does not permit scaling.
Request
Supported Media Types
- application/json
Path Parameters
-
id(required): string
Unique Besu instance identifier
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Desired replica count for one Besu component.
Root Schema : schema
Type:
objectDesired replica count for one Besu component.
Show Source
-
name(required):
string
custom-scaling, or a node name in the form obp-{instanceId}-{role}-{ordinal} for node-role scale-in.
-
replicas(required):
integer
Minimum Value:
1Desired total count. Maximum: 3 for rpcproxy/rpc; 2 for serviceconsole/archive/bootnode. Scale-out must increase and scale-in must decrease the current count. -
role(required):
string
Allowed Values:
[ "rpcproxy", "serviceconsole", "archive", "bootnode", "rpc" ]
Response
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Location: string
Location Header with a URL to query the status of the request.
-
Retry-After: integer
Retry after N number of seconds.
400 Response
Bad Request
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
404 Response
Not Found
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
409 Response
Operation conflict
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings